# Uses of Class
javafx.print.Paper

Packages that use Paper
Package
Description
javafx.print
Provides the public classes for the JavaFX Printing API.

## Uses of Paper in javafx.print

Fields in javafx.print declared as Paper
Modifier and Type
Field
Description
`static final Paper`
Paper.`A0`
Specifies the ISO A0 size, 841 mm by 1189 mm.
`static final Paper`
Paper.`A1`
Specifies the ISO A1 size, 594 mm by 841 mm.
`static final Paper`
Paper.`A2`
Specifies the ISO A2 size, 420 mm by 594 mm.
`static final Paper`
Paper.`A3`
Specifies the ISO A3 size, 297 mm by 420 mm.
`static final Paper`
Paper.`A4`
Specifies the ISO A4 size, 210 mm by 297 mm.
`static final Paper`
Paper.`A5`
Specifies the ISO A5 size, 148 mm by 210 mm.
`static final Paper`
Paper.`A6`
Specifies the ISO A6 size, 105 mm by 148 mm.
`static final Paper`
Paper.`C`
Specifies the engineering C size, 17 inch by 22 inch.
`static final Paper`
Paper.`DESIGNATED_LONG`
Specifies the ISO Designated Long size, 110 mm by 220 mm.
`static final Paper`
Paper.`EXECUTIVE`
Specifies the executive size, 7.25 inches by 10.5 inches.
`static final Paper`
Paper.`JAPANESE_POSTCARD`
Specifies the Japanese postcard size, 100 mm by 148 mm.
`static final Paper`
Paper.`JIS_B4`
Specifies the JIS B4 size, 257 mm by 364 mm.
`static final Paper`
Paper.`JIS_B5`
Specifies the JIS B5 size, 182 mm by 257 mm.
`static final Paper`
Paper.`JIS_B6`
Specifies the JIS B6 size, 128 mm by 182 mm.
`static final Paper`
Paper.`LEGAL`
Specifies the North American legal size, 8.5 inches by 14 inches.
`static final Paper`
Paper.`MONARCH_ENVELOPE`
Specifies the Monarch envelope size, 3.87 inch by 7.5 inch.
`static final Paper`
Paper.`NA_8X10`
Specifies the North American 8 inch by 10 inch paper.
`static final Paper`
Paper.`NA_LETTER`
Specifies the North American letter size, 8.5 inches by 11 inches
`static final Paper`
Paper.`NA_NUMBER_10_ENVELOPE`
Specifies the North American Number 10 business envelope size, 4.125 inches by 9.5 inches.
`static final Paper`
Paper.`TABLOID`
Specifies the tabloid size, 11 inches by 17 inches.
Methods in javafx.print that return Paper
Modifier and Type
Method
Description
`Paper`
PrinterAttributes.`getDefaultPaper()`
Return the default paper size used on this printer.
`Paper`
PageLayout.`getPaper()`
The paper used.
Methods in javafx.print that return types with arguments of type Paper
Modifier and Type
Method
Description
`Set<Paper>`
PrinterAttributes.`getSupportedPapers()`
Returns an unmodifiable set of the supported paper sizes for this printer.
Methods in javafx.print with parameters of type Paper
Modifier and Type
Method
Description
`PageLayout`
Printer.`createPageLayout(Paper paper, PageOrientation orient, double lMargin, double rMargin, double tMargin, double bMargin)`
Obtain a new PageLayout for this printer using the specified parameters.
`PageLayout`
Printer.`createPageLayout(Paper paper, PageOrientation orient, Printer.MarginType mType)`
Obtain a new PageLayout instance for this printer using the specified parameters.